RubyGems Navigation menu

rubocop 0.83.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.18.4 - July 23, 2021 (488 KB)
  2. 1.18.3 - July 06, 2021 (488 KB)
  3. 1.18.2 - July 02, 2021 (487 KB)
  4. 1.18.1 - June 30, 2021 (487 KB)
  5. 1.18.0 - June 29, 2021 (487 KB)
  6. 0.83.0 - May 11, 2020 (405 KB)
Show all versions (185 total)

Runtime Dependencies (6):

  • parallel ~> 1.10
  • parser >= 2.7.0.1
  • rainbow >= 2.2.2, < 4.0
  • rexml >= 0
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.4.0, < 2.0
  • Development Dependencies (1):

  • bundler >= 1.15.0, < 3.0
  • Owners:

    Pushed by:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    3397a3778ed0fa4d43e69b19f9c421da1925e7a85acc07f5b852aafc7a3c7224

    Total downloads 171,653,900

    For this version 1,154,743

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.4.0

    Links: